org.apache.olingo.server.api.uri

## Enum UriInfoKind

- java.lang.Object
- - java.lang.Enum<UriInfoKind>
  - - org.apache.olingo.server.api.uri.UriInfoKind

- All Implemented Interfaces:
    Serializable, Comparable<UriInfoKind>

      public enum UriInfoKind
      extends Enum<UriInfoKind>

  Defining the various info kinds

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `all` Class: `UriInfoAll` URI: http://...
    `batch` Class: `UriInfoBatch` URI: http://...
    `crossjoin` Class: `UriInfoCrossjoin` URI: http://...
    `entityId` Class: `UriInfoEntityId` URI: http://...
    `metadata` Class: `UriInfoMetadata` URI: http://...
    `resource` Class: `UriInfoResource` URI: http://...
    `service` Class: `UriInfoService` URI: http://...

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static UriInfoKind` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static UriInfoKind[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### all

          public static final UriInfoKind all

      Class: `UriInfoAll`
      URI: http://.../serviceroot/$all

    - #### batch

          public static final UriInfoKind batch

      Class: `UriInfoBatch`
      URI: http://.../serviceroot/$batch

    - #### crossjoin

          public static final UriInfoKind crossjoin

      Class: `UriInfoCrossjoin`
      URI: http://.../serviceroot/$crossjoin

    - #### entityId

          public static final UriInfoKind entityId

      Class: `UriInfoEntityId`
      URI: http://.../serviceroot/$entity(...)

    - #### metadata

          public static final UriInfoKind metadata

      Class: `UriInfoMetadata`
      URI: http://.../serviceroot/$metadata...

    - #### resource

          public static final UriInfoKind resource

      Class: `UriInfoResource`
      URI: http://.../serviceroot/entitySet

    - #### service

          public static final UriInfoKind service

      Class: `UriInfoService`
      URI: http://.../serviceroot

  - ### Method Detail

    - #### values

          public static UriInfoKind[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (UriInfoKind c : UriInfoKind.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static UriInfoKind valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2013–2022 The Apache Software Foundation. All rights reserved.